- Home
- API Enriched
- Support
- operate
- Soft restart.
Soft restart.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/example/soft-restart';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","node":"example","service":"example","site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/example/example/soft-restart \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "node": "example", "service": "example", "site": "example" }'Soft restart reloads VER instance on the node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
Node Name Name of the node.
Service Name Name of the service.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to soft restart reloads VER instance on the node.
object
Namespace for which the request is sent (system)
Name of the node.
Name of the service.
Name of the site.
Examplegenerated
{ "namespace": "example", "node": "example", "service": "example", "site": "example"}Responses
Section titled “Responses”A successful response.
Soft Restart response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example